import matplotlib.pyplot as plt

Data = [# ID  SA  SB
        ['A', 11, 10],
        ['A', 12, 11],
        ['A', 11, 12],
        ['A', 10, 11],
        ['A', 11, 11],
        ['B', 13, 12],
        ['B', 14, 13],
        ['B', 13, 14],
        ['B', 12, 13],
        ['B', 13, 13],
        ['C', 15, 14],
        ['C', 16, 15],
        ['C', 15, 16],
        ['C', 14, 15],
        ['C', 15, 15]
        ]

DataAID = []
DataASA = []
DataASB = []
DataBID = []
DataBSA = []
DataBSB = []
DataCID = []
DataCSA = []
DataCSB = []
for v in Data:
    if v[0] == 'A':
        DataAID.append(v[0])
        DataASA.append(v[1])
        DataASB.append(v[2])
    elif v[0] == 'B':
        DataBID.append(v[0])
        DataBSA.append(v[1])
        DataBSB.append(v[2])
    else:
        DataCID.append(v[0])
        DataCSA.append(v[1])
        DataCSB.append(v[2])

plt.xlabel('SA')
plt.ylabel('SB')
plt.plot(DataASA, DataASB, 'bo', label = 'Group-A', markersize = 12)
plt.plot(DataBSA, DataBSB, 'rs', label = 'Group-B', markersize = 12)
plt.plot(DataCSA, DataCSB, 'g*', label = 'Group-C', markersize = 12)
plt.legend()
plt.show()
